Skip to content

Gets all of the job posting processes in the system.

Request

This method will scan all job posting processes and and return them to the caller.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned.

exclusiveStartKeystring

The start key, if you're making a subsequent request

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/careers/careers-v1/jobPostingProcesses/{tenantId}?fields=string&exclusiveStartKey=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The job posting processeswere retrieved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Array [
confirmation_emailobject(Confirmation Email)required

Email to send once the job posting is submitted

contact_form_optionsobject(Contact Form Options)required
custom_field_valuesArray of objects(Custom Field Values)
descriptionstring(Description)

The description of the process

display_in_portalboolean(Display In Portal)

Whether this process is available in the portal

display_in_portal_asstring(Display In Portal As)required

How to display in portal

display_ordernumber, (float)(Display Order)

The order to display

enable_confirmation_emailboolean(Enable Confirmation Email)

Whether or not to send an email when the job posting is processed

enable_expiration_notification_emailboolean(Enable Expiration Notification Email)

Whether or not to send an email when the job posting has expired

enable_job_editingboolean(Enable Job Editing)

If true, job posters can edit jobs in the portal

expiration_notification_emailobject(Expiration Notification Email)required

Email to send once the job posting has expired and has been taken down

form_idstring(Form)careers-job-postings__.*required

The job posting form

idstring(ID)^[\w|-]+$required

The unique, string identifier of this job posting process

is_activeboolean(Is Active)

Whether or not this job posting process is active

job_editing_form_idstring(Job Editing Form)careers-job-postings__.*required

The job posting form

jobs_require_approvalboolean(Jobs Require Approval)

If set, jobs posted using this process require approval

namestring(Name)required

The name of the job posting process

organization_form_optionsobject(Organization Form Options)required
posting_expirationnumber, (float)(Posting Expiration)required

The default expiration of job postings posted during this process in days

show_contact_formboolean(Show Contact Form)

Whether or not to show a contact form

show_organization_formboolean(Show Organization Form)

Whether or not to show an organization form

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

]
Response
[ { "confirmation_email": { … }, "contact_form_options": { … }, "custom_field_values": [ … ], "description": "string", "display_in_portal": true, "display_in_portal_as": "string", "display_order": 0.1, "enable_confirmation_email": true, "enable_expiration_notification_email": true, "enable_job_editing": true, "expiration_notification_email": { … }, "form_id": "string", "id": "string", "is_active": true, "job_editing_form_id": "string", "jobs_require_approval": true, "name": "string", "organization_form_options": { … }, "posting_expiration": 0.1, "show_contact_form": true, "show_organization_form": true, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ … ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 } ]